Summary:	OpenSync IRMC plugin
Summary(pl.UTF-8):	Wtyczka IRMC do OpenSync
Name:		libopensync-plugin-irmc
Version:	0.22
Release:	7
License:	GPL v2
Group:		Libraries
# Source0:	http://www.opensync.org/attachment/wiki/download/%{name}-%{version}.tar.bz2
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	ecec872b2bccd824b1c5cbb2ec1d5399
URL:		http://www.opensync.org/
BuildRequires:	bluez-libs-devel
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libopensync02-devel >= %{version}
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	openobex-devel >= 1.0.0
BuildRequires:	pkgconfig
Obsoletes:	multisync-irmc
Obsoletes:	multisync-irmc-bluetooth
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenSync is a synchronization framework that is platform and
distribution independent.

It consists of several plugins that can be used to connect to devices,
a powerful sync-engine and the framework itself.

This package contains IRMC plugin for OpenSync framework.

%description -l pl.UTF-8
OpenSync to niezależny od platformy i dystrybucji szkielet do
synchronizacji danych.

Składa się z różnych wtyczek, których można używać do łączenia z
urządzeniami, potężnego silnika synchronizacji oraz samego szkieletu.

Ten pakiet zawiera wtyczkę IRMC dla szkieletu OpenSync.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/opensync/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/opensync/plugins/irmc_sync.so
%{_datadir}/opensync/defaults/irmc-sync

# devel
#%{_includedir}/opensync-1.0/opensync/irmc_sync.h
%changelog
* Sat Jul 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libopensync-plugin-irmc.git;a=log;h=master

* Sat Jul 12 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> c7d844c
- Release 7 (by relup.sh)

* Sat Apr 23 2016 Jan Rękorajski <baggins@pld-linux.org> a57c78e
- release 6 (by relup.sh)

* Thu Nov 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> caf1514
- fix opensync BR

* Thu Nov 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> db5d4f0
- again

* Thu Nov 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 11ea2d5
- rel 4

* Thu Nov 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 106fc9a
- cheat on df

* Sun Nov 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a843fd7
- release 3

* Sun Aug 31 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e642c0
- release 2

* Sun Sep 02 2007 Jakub Bogusz <qboosh@pld-linux.org> baa05e2
- more BRs, drop *.la
- License is GPL v2 (only)

* Thu Mar 29 2007 wrobell <wrobell@pld-linux.org> 484c3c2
- ver. 0.22

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9987a14
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8cbbeb1
- converted to UTF-8

* Mon Oct 23 2006 Elan Ruusamäe <glen@pld-linux.org> 0388d9d
- working source0

* Mon Oct 23 2006 Elan Ruusamäe <glen@pld-linux.org> 5ca2d67
- stricter libopensync dep

* Tue Jan 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 4b85c75
- Obsoletes: multisync-irmc,multisync-irmc-bluetooth

* Tue Jan 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 80291f8
- pl

* Mon Jan 23 2006 wrobell <wrobell@pld-linux.org> 70ebc42
- based on each other ;)

